This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 65368 - files in koffice and kdelibs RPM packages overlap
files in koffice and kdelibs RPM packages overlap
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: koffice (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-22 15:41 EDT by Jeff Woods
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-08 10:20:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jeff Woods 2002-05-22 15:41:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0rc2) Gecko/20020510

Description of problem:
There are a number of files common to both the kdelibs and koffice packages. 
This causes problems if koffice is not initially installed with kde or is
removed and reinstalled later.  

Both packages include the following files:

/usr/share/mimelnk/application/x-abiword.desktop
/usr/share/mimelnk/application/x-kchart.desktop
/usr/share/mimelnk/application/x-kformula.desktop 
/usr/share/mimelnk/application/x-kivio.desktop
/usr/share/mimelnk/application/x-kontour.desktop
/usr/share/mimelnk/application/x-kpresenter.desktop
/usr/share/mimelnk/application/x-kspread.desktop
/usr/share/mimelnk/application/x-kugar.desktop
/usr/share/mimelnk/application/x-kword.desktop
/usr/share/mimelnk/application/x-quattropro.desktop
/usr/share/mimelnk/image/x-msod.desktop
/usr/share/mimelnk/image/x-wmf.desktop
/usr/share/mimelnk/image/x-xfig.desktop
/usr/share/mimelnk/text/x-csv.desktop

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install kde packages, including koffice during install
2. Remove koffice (rpm -e koffice)
3. Reinstall koffice (rpm -i koffice-1.1.1-1.i386.rpm)
	

Actual Results:  A number of warning messages were displayed (can be defeated
with --force option to rpm):

file /usr/share/mimelnk/application/x-abiword.desktop from install of
koffice-1.1.1-1 conflicts with file from package kdelibs-3.0.0-10
file /usr/share/mimelnk/application/x-kchart.desktop from install of
koffice-1.1.1-1 conflicts with file from package kdelibs-3.0.0-10
file /usr/share/mimelnk/application/x-kformula.desktop from install of
koffice-1.1.1-1 conflicts with file from package kdelibs-3.0.0-10
file /usr/share/mimelnk/application/x-kivio.desktop from install of
koffice-1.1.1-1 conflicts with file from package kdelibs-3.0.0-10
file /usr/share/mimelnk/application/x-kontour.desktop from install of
koffice-1.1.1-1 conflicts with file from package kdelibs-3.0.0-10
file /usr/share/mimelnk/application/x-kpresenter.desktop from install of
koffice-1.1.1-1 conflicts with file from package kdelibs-3.0.0-10
file /usr/share/mimelnk/application/x-kspread.desktop from install of
koffice-1.1.1-1 conflicts with file from package kdelibs-3.0.0-10
file /usr/share/mimelnk/application/x-kugar.desktop from install of
koffice-1.1.1-1 conflicts with file from package kdelibs-3.0.0-10
file /usr/share/mimelnk/application/x-kword.desktop from install of
koffice-1.1.1-1 conflicts with file from package kdelibs-3.0.0-10
file /usr/share/mimelnk/application/x-quattropro.desktop from install of
koffice-1.1.1-1 conflicts with file from package kdelibs-3.0.0-10
file /usr/share/mimelnk/image/x-msod.desktop from install of koffice-1.1.1-1
conflicts with file from package kdelibs-3.0.0-10
file /usr/share/mimelnk/image/x-wmf.desktop from install of koffice-1.1.1-1
conflicts with file from package kdelibs-3.0.0-10
file /usr/share/mimelnk/image/x-xfig.desktop from install of koffice-1.1.1-1
conflicts with file from package kdelibs-3.0.0-10
file /usr/share/mimelnk/text/x-csv.desktop from install of koffice-1.1.1-1
conflicts with file from package kdelibs-3.0.0-10


Expected Results:  koffice should have installed without warnings and without
using --force option to rpm.

Additional info:
Comment 1 Ngo Than 2003-07-08 10:20:27 EDT
it's fixed in RHL 8 and newer.

Note You need to log in before you can comment on or make changes to this bug.